# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'client.ui'
#
# Created: Tue May  4 22:00:49 2010
#      by: PyQt4 UI code generator 4.7.3
#
# WARNING! All changes made in this file will be lost!

from PyQt4 import QtCore, QtGui

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(500, 600)
        self.centralwidget = QtGui.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.verticalLayout = QtGui.QVBoxLayout(self.centralwidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.lblPath = QtGui.QLabel(self.centralwidget)
        self.lblPath.setObjectName("lblPath")
        self.verticalLayout.addWidget(self.lblPath)
        self.lblAccount = QtGui.QLabel(self.centralwidget)
        self.lblAccount.setObjectName("lblAccount")
        self.verticalLayout.addWidget(self.lblAccount)
        self.cmbAccount = QtGui.QComboBox(self.centralwidget)
        self.cmbAccount.setObjectName("cmbAccount")
        self.verticalLayout.addWidget(self.cmbAccount)
        self.lblGameServer = QtGui.QLabel(self.centralwidget)
        self.lblGameServer.setObjectName("lblGameServer")
        self.verticalLayout.addWidget(self.lblGameServer)
        self.cmbGameServer = QtGui.QComboBox(self.centralwidget)
        self.cmbGameServer.setObjectName("cmbGameServer")
        self.verticalLayout.addWidget(self.cmbGameServer)
        self.gridLayout = QtGui.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.lstClientList = QtGui.QListWidget(self.centralwidget)
        self.lstClientList.setObjectName("lstClientList")
        self.gridLayout.addWidget(self.lstClientList, 1, 1, 1, 1)
        self.lstServerList = QtGui.QListWidget(self.centralwidget)
        self.lstServerList.setObjectName("lstServerList")
        self.gridLayout.addWidget(self.lstServerList, 1, 2, 1, 1)
        self.lblClientList = QtGui.QLabel(self.centralwidget)
        self.lblClientList.setObjectName("lblClientList")
        self.gridLayout.addWidget(self.lblClientList, 0, 1, 1, 1)
        self.lblServerList = QtGui.QLabel(self.centralwidget)
        self.lblServerList.setObjectName("lblServerList")
        self.gridLayout.addWidget(self.lblServerList, 0, 2, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.horizontalLayout_2 = QtGui.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        spacerItem = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.btnSelectAllClient = QtGui.QPushButton(self.centralwidget)
        self.btnSelectAllClient.setObjectName("btnSelectAllClient")
        self.horizontalLayout_2.addWidget(self.btnSelectAllClient)
        spacerItem1 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem1)
        self.btnStart = QtGui.QPushButton(self.centralwidget)
        self.btnStart.setObjectName("btnStart")
        self.horizontalLayout_2.addWidget(self.btnStart)
        spacerItem2 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem2)
        self.btnSelectAllServer = QtGui.QPushButton(self.centralwidget)
        self.btnSelectAllServer.setObjectName("btnSelectAllServer")
        self.horizontalLayout_2.addWidget(self.btnSelectAllServer)
        spacerItem3 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem3)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        MainWindow.setCentralWidget(self.centralwidget)
        self.statusbar = QtGui.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(QtGui.QApplication.translate("MainWindow", "MapTransfer", None, QtGui.QApplication.UnicodeUTF8))
        self.lblPath.setToolTip(QtGui.QApplication.translate("MainWindow", "The base path where Steam is installed.", None, QtGui.QApplication.UnicodeUTF8))
        self.lblPath.setText(QtGui.QApplication.translate("MainWindow", "Found path to Steam: D:\\Yadda\\Yadda\\Steam", None, QtGui.QApplication.UnicodeUTF8))
        self.lblAccount.setText(QtGui.QApplication.translate("MainWindow", "Steam Account", None, QtGui.QApplication.UnicodeUTF8))
        self.cmbAccount.setToolTip(QtGui.QApplication.translate("MainWindow", "The Steam account to choose games and maps from.", None, QtGui.QApplication.UnicodeUTF8))
        self.lblGameServer.setText(QtGui.QApplication.translate("MainWindow", "Game Server", None, QtGui.QApplication.UnicodeUTF8))
        self.cmbGameServer.setToolTip(QtGui.QApplication.translate("MainWindow", "The game server to upload the maps to.", None, QtGui.QApplication.UnicodeUTF8))
        self.lstClientList.setToolTip(QtGui.QApplication.translate("MainWindow", "Local maps in your game folder.", None, QtGui.QApplication.UnicodeUTF8))
        self.lstServerList.setToolTip(QtGui.QApplication.translate("MainWindow", "Remote maps on the server.", None, QtGui.QApplication.UnicodeUTF8))
        self.lblClientList.setText(QtGui.QApplication.translate("MainWindow", "Maps on the Client:", None, QtGui.QApplication.UnicodeUTF8))
        self.lblServerList.setText(QtGui.QApplication.translate("MainWindow", "Maps on the Server:", None, QtGui.QApplication.UnicodeUTF8))
        self.btnSelectAllClient.setToolTip(QtGui.QApplication.translate("MainWindow", "Select all maps that are not available on the server.", None, QtGui.QApplication.UnicodeUTF8))
        self.btnSelectAllClient.setText(QtGui.QApplication.translate("MainWindow", "Select all", None, QtGui.QApplication.UnicodeUTF8))
        self.btnStart.setToolTip(QtGui.QApplication.translate("MainWindow", "Start transferring the selected maps.", None, QtGui.QApplication.UnicodeUTF8))
        self.btnStart.setText(QtGui.QApplication.translate("MainWindow", "Start", None, QtGui.QApplication.UnicodeUTF8))
        self.btnSelectAllServer.setToolTip(QtGui.QApplication.translate("MainWindow", "Select all maps that are not available on the client.", None, QtGui.QApplication.UnicodeUTF8))
        self.btnSelectAllServer.setText(QtGui.QApplication.translate("MainWindow", "Select all", None, QtGui.QApplication.UnicodeUTF8))

